# Get listing statistics.

Get listing statistics.

Endpoint: GET /listings/{listing_id}/stats
Version: 1.0.0
Security: Token

## Path parameters:

  - `listing_id` (string, required)
    The ID of a listing. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Response 200 fields (application/json):

  - `main_listing_stats` (object, required)
    Stats for a listing.

  - `main_listing_stats.totalViews` (string,number,null)
    Total number of views.

  - `main_listing_stats.totalUsers` (string,number,null)
    Total number of users.

  - `main_listing_stats.avgTimeOnPage` (string,number,null)
    Average time on page.

  - `main_listing_stats.topReferrer` (string,null)
    Top referrer.
    Example: "Jarrod Parkes"

  - `main_listing_stats.allReferrers` (array,null)
    All referrers.
    Example: ["Jarrod Parkes"]

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


